<template>
  <v-btn
    :value="value"
    :icon="icon"
    :rounded="rounded === '0' ? undefined : rounded"
    :variant="variant"
    :color="color"
    :size="size"
    :disabled="disabled"
  />
</template>

<script setup>
import { SizeEnum } from '../../constants/types';

const props = defineProps({
  variant: {
    type: String,
    default: 'elevated',
  },
  value: {
    type: String,
    default: undefined,
  },
  icon: {
    type: String,
    default: '$vuetify',
  },
  color: {
    type: String,
    default: 'primary',
  },
  rounded: {
    type: String,
    default: 'circle',
  },
  disabled: {
    type: Boolean,
    default: false,
  },
  toggle: {
    type: Boolean,
    default: false,
  },
  size: {
    type: String,
    default: SizeEnum.DEFAULT,
    validator: (value) => Object.values(SizeEnum).find((element) => element === value)
  }
})
</script>
